/*****************************************************************************
 * modules_plugin.h : Plugin management functions used by the core application.
 *****************************************************************************
 * Copyright (C) 2001 VideoLAN
 * Automatically generated from ./src/misc/modules_plugin.h.in by bootstrap
 *
 * Authors: Samuel Hocevar <sam@zoy.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

/*****************************************************************************
 * STORE_SYMBOLS: store known symbols into p_symbols for plugin access.
 *****************************************************************************/
#define STORE_SYMBOLS( p_symbols ) \
    (p_symbols)->aout_FiltersCreatePipeline_inner = aout_FiltersCreatePipeline; \
    (p_symbols)->aout_FiltersDestroyPipeline_inner = aout_FiltersDestroyPipeline; \
    (p_symbols)->aout_FiltersPlay_inner = aout_FiltersPlay; \
    (p_symbols)->aout_OutputNextBuffer_inner = aout_OutputNextBuffer; \
    (p_symbols)->aout_FormatNbChannels_inner = aout_FormatNbChannels; \
    (p_symbols)->aout_FormatPrepare_inner = aout_FormatPrepare; \
    (p_symbols)->aout_FormatPrint_inner = aout_FormatPrint; \
    (p_symbols)->aout_FormatsPrint_inner = aout_FormatsPrint; \
    (p_symbols)->aout_FormatPrintChannels_inner = aout_FormatPrintChannels; \
    (p_symbols)->aout_FifoPop_inner = aout_FifoPop; \
    (p_symbols)->aout_FifoFirstDate_inner = aout_FifoFirstDate; \
    (p_symbols)->aout_VolumeSoftInit_inner = aout_VolumeSoftInit; \
    (p_symbols)->aout_VolumeNoneInit_inner = aout_VolumeNoneInit; \
    (p_symbols)->__aout_New_inner = __aout_New; \
    (p_symbols)->aout_Delete_inner = aout_Delete; \
    (p_symbols)->aout_DateInit_inner = aout_DateInit; \
    (p_symbols)->aout_DateSet_inner = aout_DateSet; \
    (p_symbols)->aout_DateMove_inner = aout_DateMove; \
    (p_symbols)->aout_DateGet_inner = aout_DateGet; \
    (p_symbols)->aout_DateIncrement_inner = aout_DateIncrement; \
    (p_symbols)->aout_CheckChannelReorder_inner = aout_CheckChannelReorder; \
    (p_symbols)->aout_ChannelReorder_inner = aout_ChannelReorder; \
    (p_symbols)->__aout_DecNew_inner = __aout_DecNew; \
    (p_symbols)->aout_DecDelete_inner = aout_DecDelete; \
    (p_symbols)->aout_DecNewBuffer_inner = aout_DecNewBuffer; \
    (p_symbols)->aout_DecDeleteBuffer_inner = aout_DecDeleteBuffer; \
    (p_symbols)->aout_DecPlay_inner = aout_DecPlay; \
    (p_symbols)->__aout_VolumeGet_inner = __aout_VolumeGet; \
    (p_symbols)->__aout_VolumeSet_inner = __aout_VolumeSet; \
    (p_symbols)->__aout_VolumeInfos_inner = __aout_VolumeInfos; \
    (p_symbols)->__aout_VolumeUp_inner = __aout_VolumeUp; \
    (p_symbols)->__aout_VolumeDown_inner = __aout_VolumeDown; \
    (p_symbols)->__aout_VolumeMute_inner = __aout_VolumeMute; \
    (p_symbols)->aout_Restart_inner = aout_Restart; \
    (p_symbols)->aout_FindAndRestart_inner = aout_FindAndRestart; \
    (p_symbols)->aout_ChannelsRestart_inner = aout_ChannelsRestart; \
    (p_symbols)->vlc_current_charset_inner = vlc_current_charset; \
    (p_symbols)->__config_GetType_inner = __config_GetType; \
    (p_symbols)->__config_GetInt_inner = __config_GetInt; \
    (p_symbols)->__config_PutInt_inner = __config_PutInt; \
    (p_symbols)->__config_GetFloat_inner = __config_GetFloat; \
    (p_symbols)->__config_PutFloat_inner = __config_PutFloat; \
    (p_symbols)->__config_GetPsz_inner = __config_GetPsz; \
    (p_symbols)->__config_PutPsz_inner = __config_PutPsz; \
    (p_symbols)->__config_LoadCmdLine_inner = __config_LoadCmdLine; \
    (p_symbols)->config_GetHomeDir_inner = config_GetHomeDir; \
    (p_symbols)->__config_LoadConfigFile_inner = __config_LoadConfigFile; \
    (p_symbols)->__config_SaveConfigFile_inner = __config_SaveConfigFile; \
    (p_symbols)->__config_ResetAll_inner = __config_ResetAll; \
    (p_symbols)->config_FindConfig_inner = config_FindConfig; \
    (p_symbols)->config_FindModule_inner = config_FindModule; \
    (p_symbols)->config_Duplicate_inner = config_Duplicate; \
    (p_symbols)->config_SetCallbacks_inner = config_SetCallbacks; \
    (p_symbols)->config_UnsetCallbacks_inner = config_UnsetCallbacks; \
    (p_symbols)->__intf_Eject_inner = __intf_Eject; \
    (p_symbols)->GetLang_1_inner = GetLang_1; \
    (p_symbols)->GetLang_2T_inner = GetLang_2T; \
    (p_symbols)->GetLang_2B_inner = GetLang_2B; \
    (p_symbols)->DecodeLanguage_inner = DecodeLanguage; \
    (p_symbols)->__module_Need_inner = __module_Need; \
    (p_symbols)->__module_Unneed_inner = __module_Unneed; \
    (p_symbols)->mstrtime_inner = mstrtime; \
    (p_symbols)->mdate_inner = mdate; \
    (p_symbols)->mwait_inner = mwait; \
    (p_symbols)->msleep_inner = msleep; \
    (p_symbols)->secstotimestr_inner = secstotimestr; \
    (p_symbols)->date_Init_inner = date_Init; \
    (p_symbols)->date_Change_inner = date_Change; \
    (p_symbols)->date_Set_inner = date_Set; \
    (p_symbols)->date_Get_inner = date_Get; \
    (p_symbols)->date_Move_inner = date_Move; \
    (p_symbols)->date_Increment_inner = date_Increment; \
    (p_symbols)->net_ConvertIPv4_inner = net_ConvertIPv4; \
    (p_symbols)->__net_OpenTCP_inner = __net_OpenTCP; \
    (p_symbols)->__net_ListenTCP_inner = __net_ListenTCP; \
    (p_symbols)->__net_Accept_inner = __net_Accept; \
    (p_symbols)->__net_OpenUDP_inner = __net_OpenUDP; \
    (p_symbols)->net_Close_inner = net_Close; \
    (p_symbols)->__net_Read_inner = __net_Read; \
    (p_symbols)->__net_ReadNonBlock_inner = __net_ReadNonBlock; \
    (p_symbols)->__net_Select_inner = __net_Select; \
    (p_symbols)->__net_Write_inner = __net_Write; \
    (p_symbols)->__net_Gets_inner = __net_Gets; \
    (p_symbols)->net_Printf_inner = net_Printf; \
    (p_symbols)->__net_vaPrintf_inner = __net_vaPrintf; \
    (p_symbols)->vout_ShowTextRelative_inner = vout_ShowTextRelative; \
    (p_symbols)->vout_ShowTextAbsolute_inner = vout_ShowTextAbsolute; \
    (p_symbols)->__vout_OSDMessage_inner = __vout_OSDMessage; \
    (p_symbols)->vout_OSDSlider_inner = vout_OSDSlider; \
    (p_symbols)->vout_OSDIcon_inner = vout_OSDIcon; \
    (p_symbols)->__sout_CfgParse_inner = __sout_CfgParse; \
    (p_symbols)->sout_CfgCreate_inner = sout_CfgCreate; \
    (p_symbols)->__sout_NewInstance_inner = __sout_NewInstance; \
    (p_symbols)->sout_DeleteInstance_inner = sout_DeleteInstance; \
    (p_symbols)->sout_InputNew_inner = sout_InputNew; \
    (p_symbols)->sout_InputDelete_inner = sout_InputDelete; \
    (p_symbols)->sout_InputSendBuffer_inner = sout_InputSendBuffer; \
    (p_symbols)->sout_AccessOutNew_inner = sout_AccessOutNew; \
    (p_symbols)->sout_AccessOutDelete_inner = sout_AccessOutDelete; \
    (p_symbols)->sout_AccessOutSeek_inner = sout_AccessOutSeek; \
    (p_symbols)->sout_AccessOutRead_inner = sout_AccessOutRead; \
    (p_symbols)->sout_AccessOutWrite_inner = sout_AccessOutWrite; \
    (p_symbols)->sout_MuxNew_inner = sout_MuxNew; \
    (p_symbols)->sout_MuxAddStream_inner = sout_MuxAddStream; \
    (p_symbols)->sout_MuxDeleteStream_inner = sout_MuxDeleteStream; \
    (p_symbols)->sout_MuxDelete_inner = sout_MuxDelete; \
    (p_symbols)->sout_MuxSendBuffer_inner = sout_MuxSendBuffer; \
    (p_symbols)->sout_StreamNew_inner = sout_StreamNew; \
    (p_symbols)->sout_StreamDelete_inner = sout_StreamDelete; \
    (p_symbols)->sout_AnnounceRegister_inner = sout_AnnounceRegister; \
    (p_symbols)->sout_AnnounceRegisterSDP_inner = sout_AnnounceRegisterSDP; \
    (p_symbols)->sout_AnnounceUnRegister_inner = sout_AnnounceUnRegister; \
    (p_symbols)->sout_AnnounceSessionCreate_inner = sout_AnnounceSessionCreate; \
    (p_symbols)->sout_AnnounceSessionDestroy_inner = sout_AnnounceSessionDestroy; \
    (p_symbols)->sout_AnnounceMethodCreate_inner = sout_AnnounceMethodCreate; \
    (p_symbols)->__var_Create_inner = __var_Create; \
    (p_symbols)->__var_Destroy_inner = __var_Destroy; \
    (p_symbols)->__var_Change_inner = __var_Change; \
    (p_symbols)->__var_Type_inner = __var_Type; \
    (p_symbols)->__var_Set_inner = __var_Set; \
    (p_symbols)->__var_Get_inner = __var_Get; \
    (p_symbols)->__var_AddCallback_inner = __var_AddCallback; \
    (p_symbols)->__var_DelCallback_inner = __var_DelCallback; \
    (p_symbols)->__vout_Request_inner = __vout_Request; \
    (p_symbols)->__vout_Create_inner = __vout_Create; \
    (p_symbols)->vout_Destroy_inner = vout_Destroy; \
    (p_symbols)->vout_VarCallback_inner = vout_VarCallback; \
    (p_symbols)->vout_ChromaCmp_inner = vout_ChromaCmp; \
    (p_symbols)->vout_CreatePicture_inner = vout_CreatePicture; \
    (p_symbols)->vout_InitFormat_inner = vout_InitFormat; \
    (p_symbols)->vout_DestroyPicture_inner = vout_DestroyPicture; \
    (p_symbols)->vout_DisplayPicture_inner = vout_DisplayPicture; \
    (p_symbols)->vout_DatePicture_inner = vout_DatePicture; \
    (p_symbols)->vout_LinkPicture_inner = vout_LinkPicture; \
    (p_symbols)->vout_UnlinkPicture_inner = vout_UnlinkPicture; \
    (p_symbols)->vout_PlacePicture_inner = vout_PlacePicture; \
    (p_symbols)->vout_vaControlDefault_inner = vout_vaControlDefault; \
    (p_symbols)->vout_RequestWindow_inner = vout_RequestWindow; \
    (p_symbols)->vout_ReleaseWindow_inner = vout_ReleaseWindow; \
    (p_symbols)->vout_ControlWindow_inner = vout_ControlWindow; \
    (p_symbols)->__access2_New_inner = __access2_New; \
    (p_symbols)->access2_FilterNew_inner = access2_FilterNew; \
    (p_symbols)->access2_Delete_inner = access2_Delete; \
    (p_symbols)->__block_New_inner = __block_New; \
    (p_symbols)->block_Realloc_inner = block_Realloc; \
    (p_symbols)->__block_FifoNew_inner = __block_FifoNew; \
    (p_symbols)->block_FifoRelease_inner = block_FifoRelease; \
    (p_symbols)->block_FifoEmpty_inner = block_FifoEmpty; \
    (p_symbols)->block_FifoPut_inner = block_FifoPut; \
    (p_symbols)->block_FifoGet_inner = block_FifoGet; \
    (p_symbols)->block_FifoShow_inner = block_FifoShow; \
        (p_symbols)->vlc_strdup_inner = vlc_strdup; \
        (p_symbols)->vlc_vasprintf_inner = vlc_vasprintf; \
        (p_symbols)->vlc_asprintf_inner = vlc_asprintf; \
            (p_symbols)->vlc_strndup_inner = vlc_strndup; \
        (p_symbols)->vlc_atof_inner = vlc_atof; \
        (p_symbols)->vlc_atoll_inner = vlc_atoll; \
        (p_symbols)->vlc_strtoll_inner = vlc_strtoll; \
        (p_symbols)->vlc_getenv_inner = vlc_getenv; \
            (p_symbols)->vlc_strcasecmp_inner = vlc_strcasecmp; \
            (p_symbols)->vlc_strncasecmp_inner = vlc_strncasecmp; \
            (p_symbols)->vlc_strcasestr_inner = vlc_strcasestr; \
        (p_symbols)->vlc_opendir_inner = vlc_opendir; \
        (p_symbols)->vlc_readdir_inner = vlc_readdir; \
        (p_symbols)->vlc_closedir_inner = vlc_closedir; \
    (p_symbols)->vlc_reduce_inner = vlc_reduce; \
    (p_symbols)->vlc_parse_cmdline_inner = vlc_parse_cmdline; \
    (p_symbols)->vlc_wraptext_inner = vlc_wraptext; \
    (p_symbols)->vlc_iconv_open_inner = vlc_iconv_open; \
    (p_symbols)->vlc_iconv_inner = vlc_iconv; \
    (p_symbols)->vlc_iconv_close_inner = vlc_iconv_close; \
    (p_symbols)->vlc_dgettext_inner = vlc_dgettext; \
    (p_symbols)->__demux2_New_inner = __demux2_New; \
    (p_symbols)->demux2_Delete_inner = demux2_Delete; \
    (p_symbols)->demux2_vaControlHelper_inner = demux2_vaControlHelper; \
    (p_symbols)->vlc_error_inner = vlc_error; \
    (p_symbols)->httpd_HostNew_inner = httpd_HostNew; \
    (p_symbols)->httpd_TLSHostNew_inner = httpd_TLSHostNew; \
    (p_symbols)->httpd_HostDelete_inner = httpd_HostDelete; \
    (p_symbols)->httpd_UrlNew_inner = httpd_UrlNew; \
    (p_symbols)->httpd_UrlNewUnique_inner = httpd_UrlNewUnique; \
    (p_symbols)->httpd_UrlCatch_inner = httpd_UrlCatch; \
    (p_symbols)->httpd_UrlDelete_inner = httpd_UrlDelete; \
    (p_symbols)->httpd_ClientModeStream_inner = httpd_ClientModeStream; \
    (p_symbols)->httpd_ClientModeBidir_inner = httpd_ClientModeBidir; \
    (p_symbols)->httpd_ClientIP_inner = httpd_ClientIP; \
    (p_symbols)->httpd_FileNew_inner = httpd_FileNew; \
    (p_symbols)->httpd_FileDelete_inner = httpd_FileDelete; \
    (p_symbols)->httpd_RedirectNew_inner = httpd_RedirectNew; \
    (p_symbols)->httpd_RedirectDelete_inner = httpd_RedirectDelete; \
    (p_symbols)->httpd_StreamNew_inner = httpd_StreamNew; \
    (p_symbols)->httpd_StreamDelete_inner = httpd_StreamDelete; \
    (p_symbols)->httpd_StreamHeader_inner = httpd_StreamHeader; \
    (p_symbols)->httpd_StreamSend_inner = httpd_StreamSend; \
    (p_symbols)->httpd_MsgInit_inner = httpd_MsgInit; \
    (p_symbols)->httpd_MsgAdd_inner = httpd_MsgAdd; \
    (p_symbols)->httpd_MsgGet_inner = httpd_MsgGet; \
    (p_symbols)->httpd_MsgClean_inner = httpd_MsgClean; \
    (p_symbols)->tls_ServerCreate_inner = tls_ServerCreate; \
    (p_symbols)->tls_ServerDelete_inner = tls_ServerDelete; \
    (p_symbols)->tls_ClientCreate_inner = tls_ClientCreate; \
    (p_symbols)->tls_ClientDelete_inner = tls_ClientDelete; \
    (p_symbols)->__image_HandlerCreate_inner = __image_HandlerCreate; \
    (p_symbols)->image_HandlerDelete_inner = image_HandlerDelete; \
    (p_symbols)->vlc_input_item_GetInfo_inner = vlc_input_item_GetInfo; \
    (p_symbols)->vlc_input_item_AddInfo_inner = vlc_input_item_AddInfo; \
    (p_symbols)->__input_CreateThread_inner = __input_CreateThread; \
    (p_symbols)->__input_Preparse_inner = __input_Preparse; \
    (p_symbols)->input_StopThread_inner = input_StopThread; \
    (p_symbols)->input_DestroyThread_inner = input_DestroyThread; \
    (p_symbols)->input_vaControl_inner = input_vaControl; \
    (p_symbols)->input_Control_inner = input_Control; \
    (p_symbols)->input_DecoderNew_inner = input_DecoderNew; \
    (p_symbols)->input_DecoderDelete_inner = input_DecoderDelete; \
    (p_symbols)->input_DecoderDecode_inner = input_DecoderDecode; \
    (p_symbols)->__intf_Create_inner = __intf_Create; \
    (p_symbols)->intf_RunThread_inner = intf_RunThread; \
    (p_symbols)->intf_StopThread_inner = intf_StopThread; \
    (p_symbols)->intf_Destroy_inner = intf_Destroy; \
    (p_symbols)->__msg_Generic_inner = __msg_Generic; \
    (p_symbols)->__msg_GenericVa_inner = __msg_GenericVa; \
    (p_symbols)->__msg_Info_inner = __msg_Info; \
    (p_symbols)->__msg_Err_inner = __msg_Err; \
    (p_symbols)->__msg_Warn_inner = __msg_Warn; \
    (p_symbols)->__msg_Dbg_inner = __msg_Dbg; \
    (p_symbols)->__msg_Subscribe_inner = __msg_Subscribe; \
    (p_symbols)->__msg_Unsubscribe_inner = __msg_Unsubscribe; \
    (p_symbols)->__vlc_object_create_inner = __vlc_object_create; \
    (p_symbols)->__vlc_object_destroy_inner = __vlc_object_destroy; \
    (p_symbols)->__vlc_object_attach_inner = __vlc_object_attach; \
    (p_symbols)->__vlc_object_detach_inner = __vlc_object_detach; \
    (p_symbols)->__vlc_object_get_inner = __vlc_object_get; \
    (p_symbols)->__vlc_object_find_inner = __vlc_object_find; \
    (p_symbols)->__vlc_object_yield_inner = __vlc_object_yield; \
    (p_symbols)->__vlc_object_release_inner = __vlc_object_release; \
    (p_symbols)->__vlc_list_find_inner = __vlc_list_find; \
    (p_symbols)->vlc_list_release_inner = vlc_list_release; \
    (p_symbols)->playlist_Control_inner = playlist_Control; \
    (p_symbols)->playlist_Clear_inner = playlist_Clear; \
    (p_symbols)->playlist_LockClear_inner = playlist_LockClear; \
    (p_symbols)->playlist_PreparseEnqueue_inner = playlist_PreparseEnqueue; \
    (p_symbols)->playlist_ServicesDiscoveryAdd_inner = playlist_ServicesDiscoveryAdd; \
    (p_symbols)->playlist_ServicesDiscoveryRemove_inner = playlist_ServicesDiscoveryRemove; \
    (p_symbols)->playlist_AddSDModules_inner = playlist_AddSDModules; \
    (p_symbols)->playlist_IsServicesDiscoveryLoaded_inner = playlist_IsServicesDiscoveryLoaded; \
    (p_symbols)->__playlist_ItemNew_inner = __playlist_ItemNew; \
    (p_symbols)->playlist_ItemNewWithType_inner = playlist_ItemNewWithType; \
    (p_symbols)->playlist_ItemDelete_inner = playlist_ItemDelete; \
    (p_symbols)->playlist_ItemAddParent_inner = playlist_ItemAddParent; \
    (p_symbols)->playlist_CopyParents_inner = playlist_CopyParents; \
    (p_symbols)->playlist_ItemSetName_inner = playlist_ItemSetName; \
    (p_symbols)->playlist_ItemSetDuration_inner = playlist_ItemSetDuration; \
    (p_symbols)->playlist_ViewInsert_inner = playlist_ViewInsert; \
    (p_symbols)->playlist_ViewDelete_inner = playlist_ViewDelete; \
    (p_symbols)->playlist_ViewFind_inner = playlist_ViewFind; \
    (p_symbols)->playlist_ViewUpdate_inner = playlist_ViewUpdate; \
    (p_symbols)->playlist_ViewDump_inner = playlist_ViewDump; \
    (p_symbols)->playlist_ViewEmpty_inner = playlist_ViewEmpty; \
    (p_symbols)->playlist_NodeCreate_inner = playlist_NodeCreate; \
    (p_symbols)->playlist_NodeAppend_inner = playlist_NodeAppend; \
    (p_symbols)->playlist_NodeInsert_inner = playlist_NodeInsert; \
    (p_symbols)->playlist_NodeRemoveItem_inner = playlist_NodeRemoveItem; \
    (p_symbols)->playlist_NodeChildrenCount_inner = playlist_NodeChildrenCount; \
    (p_symbols)->playlist_ChildSearchName_inner = playlist_ChildSearchName; \
    (p_symbols)->playlist_NodeDelete_inner = playlist_NodeDelete; \
    (p_symbols)->playlist_NodeEmpty_inner = playlist_NodeEmpty; \
    (p_symbols)->playlist_Add_inner = playlist_Add; \
    (p_symbols)->playlist_AddExt_inner = playlist_AddExt; \
    (p_symbols)->playlist_ItemAdd_inner = playlist_ItemAdd; \
    (p_symbols)->playlist_NodeAddItem_inner = playlist_NodeAddItem; \
    (p_symbols)->playlist_Delete_inner = playlist_Delete; \
    (p_symbols)->playlist_LockDelete_inner = playlist_LockDelete; \
    (p_symbols)->playlist_Disable_inner = playlist_Disable; \
    (p_symbols)->playlist_Enable_inner = playlist_Enable; \
    (p_symbols)->playlist_ItemToNode_inner = playlist_ItemToNode; \
    (p_symbols)->playlist_LockItemToNode_inner = playlist_LockItemToNode; \
    (p_symbols)->playlist_Replace_inner = playlist_Replace; \
    (p_symbols)->playlist_LockReplace_inner = playlist_LockReplace; \
    (p_symbols)->playlist_ItemGetById_inner = playlist_ItemGetById; \
    (p_symbols)->playlist_LockItemGetById_inner = playlist_LockItemGetById; \
    (p_symbols)->playlist_ItemGetByPos_inner = playlist_ItemGetByPos; \
    (p_symbols)->playlist_LockItemGetByPos_inner = playlist_LockItemGetByPos; \
    (p_symbols)->playlist_ItemGetByInput_inner = playlist_ItemGetByInput; \
    (p_symbols)->playlist_LockItemGetByInput_inner = playlist_LockItemGetByInput; \
    (p_symbols)->playlist_GetPositionById_inner = playlist_GetPositionById; \
    (p_symbols)->playlist_ItemAddOption_inner = playlist_ItemAddOption; \
    (p_symbols)->playlist_Sort_inner = playlist_Sort; \
    (p_symbols)->playlist_Move_inner = playlist_Move; \
    (p_symbols)->playlist_NodeGroup_inner = playlist_NodeGroup; \
    (p_symbols)->playlist_NodeSort_inner = playlist_NodeSort; \
    (p_symbols)->playlist_RecursiveNodeSort_inner = playlist_RecursiveNodeSort; \
    (p_symbols)->playlist_Import_inner = playlist_Import; \
    (p_symbols)->playlist_Export_inner = playlist_Export; \
    (p_symbols)->__spu_Create_inner = __spu_Create; \
    (p_symbols)->spu_Init_inner = spu_Init; \
    (p_symbols)->spu_Destroy_inner = spu_Destroy; \
    (p_symbols)->spu_CreateSubpicture_inner = spu_CreateSubpicture; \
    (p_symbols)->spu_DestroySubpicture_inner = spu_DestroySubpicture; \
    (p_symbols)->spu_DisplaySubpicture_inner = spu_DisplaySubpicture; \
    (p_symbols)->__spu_CreateRegion_inner = __spu_CreateRegion; \
    (p_symbols)->__spu_MakeRegion_inner = __spu_MakeRegion; \
    (p_symbols)->__spu_DestroyRegion_inner = __spu_DestroyRegion; \
    (p_symbols)->spu_SortSubpictures_inner = spu_SortSubpictures; \
    (p_symbols)->spu_RenderSubpictures_inner = spu_RenderSubpictures; \
    (p_symbols)->stream_ReadLine_inner = stream_ReadLine; \
    (p_symbols)->__stream_DemuxNew_inner = __stream_DemuxNew; \
    (p_symbols)->stream_DemuxSend_inner = stream_DemuxSend; \
    (p_symbols)->stream_DemuxDelete_inner = stream_DemuxDelete; \
    (p_symbols)->__stream_MemoryNew_inner = __stream_MemoryNew; \
    (p_symbols)->stream_MemoryDelete_inner = stream_MemoryDelete; \
    (p_symbols)->__vlc_threads_init_inner = __vlc_threads_init; \
    (p_symbols)->__vlc_threads_end_inner = __vlc_threads_end; \
    (p_symbols)->__vlc_mutex_init_inner = __vlc_mutex_init; \
    (p_symbols)->__vlc_mutex_destroy_inner = __vlc_mutex_destroy; \
    (p_symbols)->__vlc_cond_init_inner = __vlc_cond_init; \
    (p_symbols)->__vlc_cond_destroy_inner = __vlc_cond_destroy; \
    (p_symbols)->__vlc_thread_create_inner = __vlc_thread_create; \
    (p_symbols)->__vlc_thread_set_priority_inner = __vlc_thread_set_priority; \
    (p_symbols)->__vlc_thread_ready_inner = __vlc_thread_ready; \
    (p_symbols)->__vlc_thread_join_inner = __vlc_thread_join; \
    (p_symbols)->__vout_CopyPicture_inner = __vout_CopyPicture; \
    (p_symbols)->__vout_InitPicture_inner = __vout_InitPicture; \
    (p_symbols)->__vout_AllocatePicture_inner = __vout_AllocatePicture; \
    (p_symbols)->__vlm_New_inner = __vlm_New; \
    (p_symbols)->vlm_Delete_inner = vlm_Delete; \
    (p_symbols)->vlm_ExecuteCommand_inner = vlm_ExecuteCommand; \
    (p_symbols)->vlm_MessageDelete_inner = vlm_MessageDelete; \
    (p_symbols)->vlm_MediaNew_inner = vlm_MediaNew; \
    (p_symbols)->vlm_MediaDelete_inner = vlm_MediaDelete; \
    (p_symbols)->vlm_MediaSetup_inner = vlm_MediaSetup; \
    (p_symbols)->vlm_MediaControl_inner = vlm_MediaControl; \
    (p_symbols)->vlm_ScheduleNew_inner = vlm_ScheduleNew; \
    (p_symbols)->vlm_ScheduleDelete_inner = vlm_ScheduleDelete; \
    (p_symbols)->vlm_ScheduleSetup_inner = vlm_ScheduleSetup; \
    (p_symbols)->vlm_MediaVodControl_inner = vlm_MediaVodControl; \
    (p_symbols)->vlm_Save_inner = vlm_Save; \
    (p_symbols)->vlm_Load_inner = vlm_Load; \
    (p_symbols)->__xml_Create_inner = __xml_Create; \
    (p_symbols)->xml_Delete_inner = xml_Delete; \
    (p_symbols)->__vout_SynchroInit_inner = __vout_SynchroInit; \
    (p_symbols)->vout_SynchroRelease_inner = vout_SynchroRelease; \
    (p_symbols)->vout_SynchroReset_inner = vout_SynchroReset; \
    (p_symbols)->vout_SynchroChoose_inner = vout_SynchroChoose; \
    (p_symbols)->vout_SynchroTrash_inner = vout_SynchroTrash; \
    (p_symbols)->vout_SynchroDecode_inner = vout_SynchroDecode; \
    (p_symbols)->vout_SynchroEnd_inner = vout_SynchroEnd; \
    (p_symbols)->vout_SynchroDate_inner = vout_SynchroDate; \
    (p_symbols)->vout_SynchroNewPicture_inner = vout_SynchroNewPicture; \

